<?php

namespace Drupal\site_audit_server\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure Site Audit Remote Server settings for this site.
 */
class SettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'site_audit_server_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['site_audit_server.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['allowed_clients'] = [
      '#type' => 'textarea',
      '#title' => $this->t('Allowed Clients'),
      '#default_value' => $this->config('site_audit_server.settings')->get('allowed_clients'),
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state) {
//    if ($form_state->getValue('allowed_clients') != 'allowed_clients') {
//      $form_state->setErrorByName('example', $this->t('The value is not correct.'));
//    }
    parent::validateForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('site_audit_server.settings')
      ->set('allowed_clients', $form_state->getValue('allowed_clients'))
      ->save();
    parent::submitForm($form, $form_state);
  }

}
